/*
    Copyright (c) 2016 digitalSTROM.org, Zurich, Switzerland

    This file is part of digitalSTROM Server.

    digitalSTROM Server is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    digitalSTROM Server is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.
*/
#include "str.h"
#include <locale>

namespace ds {
namespace detail {

void Str<unsigned char>::f(std::ostream& ostream, unsigned char x, int indent) { ostream << static_cast<int>(x); }
void Str<signed char>::f(std::ostream& ostream, signed char x, int indent) { ostream << static_cast<int>(x); }
void Str<std::exception>::f(std::ostream& ostream, const std::exception& x, int indent) { ostream << x.what(); }

} // namespace detail
} // namespace ds
